/**
 * Copyright (c) 2020 fumeiai All rights reserved.
 *
 *
 *
 * 版权所有，侵权必究！
 */

package com.lz.modules.job.task;

import com.lz.common.utils.DateUtils;
import com.lz.modules.job.business.FeishuBusiness;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 获取飞书组织架构信息定时任务
 *
 * getFeishuDepartmentsJob为spring bean的名称
 *
 * @author fumeiai 20200429
 */
@Component("synchronizeFlybookDataJob")
public class SynchronizeFlybookDataJob implements ITask {
	private Logger logger = LoggerFactory.getLogger(getClass());

	@Autowired
	FeishuBusiness feishuBusiness;

	@Override
	public void run(String params) {

		logger.info("synchronizeFlybookDataJob start date == {}", DateUtils.getCurrentDate());
		feishuBusiness.getFeishuDepartmentsIntoData();
		logger.info("synchronizeFlybookDataJob end date == {}", DateUtils.getCurrentDate());

	}

}
